/* Utilities */
.inherit {
  color: inherit;
  background-color: inherit;
  font-family: inherit;
  font-weight: inherit;
  font-size: inherit;
  font-style: inherit;
  text-decoration: inherit;
  line-height: inherit;
  display: inherit;
  position: inherit;
  margin: inherit;
  padding: inherit;
}

.list-style-none {
  list-style: none;
  padding: 0;
}

.expander {
  display: grid;
  grid-template-rows: 0fr;
  overflow: hidden;
  transition: grid-template-rows 1s;
}

.expander-content {
  min-height: 0;
  transition: visibility 1s;
  visibility: hidden;
}

.expander.expanded {
  grid-template-rows: 1fr;
}

.expander.expanded .expander-content {
  visibility: visible;
}

.pointer {
  cursor: pointer;
}

.btn-secondary-outline, .btn-secondary-outline:hover {
  border: 1px solid #000;
}

@media (max-width: 1279px) {
  .expander-lg {
      display: grid;
      grid-template-rows: 0fr;
      overflow: hidden;
      transition: grid-template-rows 1s;
  }

  .expander-content-lg {
      min-height: 0;
      transition: visibility 1s;
      visibility: hidden;
  }

  .expander-lg.expanded {
      grid-template-rows: 1fr;
  }

  .expander-lg.expanded .expander-content-lg {
      visibility: visible;
  }
}

@media (max-width: 1023px) {
  .expander-md {
      display: grid;
      grid-template-rows: 0fr;
      overflow: hidden;
      transition: grid-template-rows 1s;
  }

  .expander-content-md {
      min-height: 0;
      transition: visibility 1s;
      visibility: hidden;
  }

  .expander-md.expanded {
      grid-template-rows: 1fr;
  }

  .expander-md.expanded .expander-content-md {
      visibility: visible;
  }
}

/* General */
:root {
  --bs-border-color: #afafaf;
}

body {
  background-color: #fff8e9;
}

img {
  max-width: 100%;
}

* {
  line-height: 175%;
}

h1, .h1 {
    font-weight: 700;
}

h1, .h1, h2, .h2 {
  font-size: calc(1.5rem + 1vw);
}

h3, .h3 {
  font-size: calc(0.75rem + 1vw);
  font-style: italic;
}

h5, .h5 {
  font-style: italic;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
  font-weight: 700;
}

@media (min-width: 1024px) {
  h1, .h1, h2, .h2 {
      font-size: 2rem;
  }

  h3, .h3 {
      font-size: 1.25rem;
  }
}

.shadow {
  -webkit-box-shadow: 0px 1px 5px 0px rgba(0,0,0,0.15) !important; 
  box-shadow: 0px 1px 5px 0px rgba(0,0,0,0.15) !important;
}

/* Navigation */
nav .dropdown-menu {
  top: 34px!important;
  border-radius: 0 0 var(--bs-border-radius) var(--bs-border-radius);
}

@media (max-width: 1023px) {
  nav li {
      margin-top: 1rem;
  }
  
  nav .dropdown-menu li:first-child {
      margin-top: 0;
  }
  
  nav .dropdown-menu.show {
      position: unset!important;
      transform: unset !important;

      margin-top: 1rem!important;

      border-radius: var(--bs-border-radius);
  }

  nav .navbar-toggler {
      text-transform: uppercase;
      border: none!important;
      outline: none!important;
      background-color: transparent!important;
      box-shadow: none!important;

      margin: 0 auto;
  }
}

/* Forms */
.form-control, .form-select {
  border: 2px solid var(--bs-primary);
  border-radius: 10px;
}

.form-control:focus, .form-select:focus {
  box-shadow: 0 0 0 0.25rem rgb(255 137 0 / 25%);
}

/* Older Safari gap support */
@supports (-webkit-touch-callout: none) and (not (translate: none)) {
  .gap-1 > * {
    margin: 1px;
  }
  .gap-2 > * {
    margin: 2px;
  }
  .gap-3 > * {
    margin: 4px;
  }
  .gap-4 > * {
    margin: 8px;
  }
  .gap-5 > * {
    margin: 16px;
  }
}

@media (min-width: 1280px) {
  .booking__viewport {
    display: grid;
    grid-template-columns: 1fr 400px;
    grid-gap: 0;
    
    .summary__wrapper {
      border-right: 1px solid var(--bs-light);
    }
    
    .page__wrapper {
      max-width: 1000px;
    }
  }
}

@media (max-width: 1279px) {
  .booking__viewport #OrderSummary_OrderSummaryPanel .card {
    position: fixed;
    left: 0;
    bottom: 0;
    max-height: 100vh;
    width: 100vw;
    border-radius: 0;
    overflow-y: scroll;
  }

  .booking__viewport #OrderSummary_OrderSummaryPanel small {
    font-size: 0.75em;
  }
}

.form-control:focus {
  border: unset;
}
